# Custom Search Plugin

Ein WordPress-Plugin, das eine erweiterte Suchfunktion als Shortcode, Widget und ShiftNav-Menüeintrag hinzufügt.

## Beschreibung

Dieses Plugin erweitert die Standard-WordPress-Suche um folgende Funktionen:

- Suche nach Titeln, Inhalten und Gastautoren
- Anpassbare Positionierung im ShiftNav-Menü
- Shortcode für flexible Platzierung
- Widget für Sidebar-Integration

## Installation

1. Laden Sie die Plugin-Dateien in das Verzeichnis `/wp-content/plugins/custom-search-plugin` hoch.
2. Aktivieren Sie das Plugin über den 'Plugins'-Bildschirm in WordPress.
3. Verwenden Sie den Bildschirm 'Einstellungen' -> 'Custom Search', um das Plugin zu konfigurieren.

## Verwendung

### Shortcode

Verwenden Sie den Shortcode `[custom_search]`, um das Suchformular an beliebiger Stelle einzufügen.

### Widget

Fügen Sie das "Custom Search Widget" über den WordPress-Widget-Bildschirm zu Ihrer Sidebar hinzu.

### ShiftNav-Integration

Wählen Sie in den Plugin-Einstellungen die gewünschte Position für das Suchformular im ShiftNav-Menü.

## Anforderungen

- WordPress 4.7 oder höher
- PHP 7.0 oder höher

## Changelog

### 3.0
- Integration mit ShiftNav hinzugefügt
- Einstellungsseite für ShiftNav-Position implementiert

### 2.0
- Erweiterte Suchfunktionen für Titel und Gastautoren hinzugefügt

### 1.0
- Erstveröffentlichung

## Autoren

- M_Viper

## Lizenz

Dieses Projekt ist unter der GPLv2-Lizenz lizenziert - siehe die [LICENSE](LICENSE) Datei für Details.
